<?php
// ↓ ログインチェック ここから（削除しないでください）↓ 

// ------------ 表示終了日 | yyyy-mm-dd 形式で表示終了日を指定できます。 ------------ 
// ------------ 例）$end_date = "2030-01-23"; ------------ 
$end_date = "";

session_start();
if (!isset($_SESSION['id'])) {
    echo '<p>ログインしていません。</p>';
    exit;
}
// セッションIDとファイル名を比較
$filename = basename($_SERVER['PHP_SELF'], '.php');
if ($_SESSION['id'] != $filename) {
    echo '<p>idが異なります。ログインしなおしてください。</p>';
    exit;
}
$message = $_SESSION['id'];
$now = new DateTime();
if (!empty($end_date)) {
    $end_date = new DateTime($end_date);
    $end_date->modify('+1 day');
    if ($now >= $end_date) {
        echo '<p>公開期間を終了しました。</p>';
        exit;
    }
}
//  ↑ ログインチェック ここまで（削除しないでください） ↑ 
?>

<!-- ↓ 編集エリア ↓ -->
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="viewport" content="width=device-width">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="robots" content="noindex">
<link rel="stylesheet" href="../css/ress.css" />
<title>ファイル</title>
<style>
section{
    margin:0 auto;
    padding:3rem 1rem;
    max-width: 46rem;}
h1,h2,h3,h4,h5{
    margin-top:1.8rem;
    margin-bottom:1.5rem;}
p,ul,ol{
    font-size:0.8rem;
    line-height:1.5rem;
    margin-bottom:1rem;}
ul,ol{
    margin-left:2rem;}
li{
    margin-bottom:0.25rem}
hr{
    margin-top:2rem;
    margin-bottom:2rem;}
</style>
</head>

<body>
<section>

<h1>サンプルページ</h1>
<p>ファイルは、メモ帳やテキストエディタで編集することができます。</p>
<p>
&lt;html&gt;～&lt;/html&gt;は自由編集エリアです。<br>
このサンプルをベースに余白等を微調整する場合は&lt;style&gt;～&lt;style&gt;タグ内を修正します。<br>
HTMLに詳しくない方は、&lt;section&gt;タグの内容を削除して、以下を参考に編集することをおすすめします。<br>
上部のログインチェック部分を削除しないように注意してください。
</p>

<!-- ↓ 参考 ↓ -->

<h1>見出し（特大）</h1>

<p>段落は&lt;p&gt;タグと&lt;/p&gt;タグで囲います。<br>編集画面での改行や半角スペースは
    サイトの表示に反映されません。<br>改行する場合は&lt;br&gt;タグを記述します。</p>

<h2>見出し（大）</h2>

<p>p（段落）タグで行を分ける書き方。<br>リンクは&lt;a&gt;タグで囲い、href="～" の中にリンク先のURLを記述します。</p>
<p><a href="https://www.google.com">リンクのサンプル</a></p>
<p><a href="https://www.bing.com">リンクのサンプル</a></p>

<p>br（改行）で改行する書き方。</p>
<p><a href="https://www.google.com">リンクのサンプル</a><br>
<a href="https://www.bing.com">リンクのサンプル</a></p>

<h3>見出し（中）</h3>

<ul>
<li>箇条書きは&lt;ul&gt;タグと&lt;li&gt;タグを利用します。</li>
<li><a href="https://www.google.com">リンクのサンプル</a></li>
<li><a href="https://www.bing.com">リンクのサンプル</a></li>
</ul>

<h4>見出し（小）</h4>
<p>下記は現在のログインIDを表示する例です。不要であれば削除してください。</p>
<p>ログインID: <strong><?php echo $message; ?></strong></p>
<hr>
<p><a href="../">ログイン画面に戻る</a></p>

<!-- ↑ 参考 ↑ -->

</section>
</body>
</html>
<!-- ↑ 編集エリア ↑ -->