<?php
// ↓ ログインチェック ここから（削除しないでください）↓ 

// ------------ 表示終了日 | yyyy-mm-dd 形式で表示終了日を指定できます。 ------------ 
// ------------ 例）$end_date = "2030-01-23"; ------------ 
$end_date = "";

session_start();
if (!isset($_SESSION['id'])) {
    echo '<p>ログインしていません。</p>';
    exit;
}
// セッションIDとファイル名を比較
$filename = basename($_SERVER['PHP_SELF'], '.php');
if ($_SESSION['id'] != $filename) {
    echo '<p>idが異なります。ログインしなおしてください。</p>';
    exit;
}
$message = $_SESSION['id'];
$now = new DateTime();
if (!empty($end_date)) {
    $end_date = new DateTime($end_date);
    $end_date->modify('+1 day');
    if ($now >= $end_date) {
        echo '<p>公開期間を終了しました。</p>';
        exit;
    }
}
//  ↑ ログインチェック ここまで（削除しないでください） ↑ 
?>

<!-- ↓ 編集エリア ↓ -->
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="viewport" content="width=device-width">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="robots" content="noindex">
<link rel="stylesheet" href="../css/ress.css" />
<title>ファイル</title>
<style>
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@100;300;400;500;700;900&display=swap');
body{
  font-family: 'Noto Sans JP', sans-serif;
  background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.3)), url('../img/container-bg.jpg');
  background-position: center;
  background-size: cover;
}
section{
    background-color:#ffffffa1;
    backdrop-filter: blur(5px);
    margin:0 auto;
    padding:2rem 2rem;
    max-width: 46rem;}
h1,h2,h3{
    margin-top:1.8rem;
    margin-bottom:1.5rem;}
h4,h5{
    margin-top:1rem;
    margin-bottom:0.2rem;}
p,ul,ol{
    font-size:0.9rem;
    line-height:1.6rem;
    margin-bottom:0.1rem;}
ul,ol{
    margin-left:2rem;}
li{
    margin-bottom:0.25rem}
hr{
    margin-top:2rem;
    margin-bottom:2rem;}
.prewrap {
    overflow-x: auto;
    border: 1px solid #f7f7f7;
    margin:1rem 0;
    padding: 0.2rem 0 1.5rem 0;}
</style>
</head>

<body>
<section>

<h1>サンプル02（使用例）</h1>

<p>HTMLの編集例です。</p>
<p>
・テキストエディタで開いて編集してください。<br>
・内容は&lt;body&gt;～&lt;/body&gt;の中に記述します。<br>
・背景や余白などは、※&lt;style&gt;～&lt;/style&gt;の箇所で調整します。
</p>

<h3>※ このファイルの削除方法</h3>
<p>1）[ data ] フォルダ内の [ sample-02.php ] をサーバーから削除します。</p>
<p>2）[ account_list.php ] をテキストエディタで開き、以下の部分を削除して再アップロードします。</p>
<div class="prewrap">
<pre><code>
    [
        'id' => 'sample-02',
        'pass' => '$2y$10$K9Wi.Wx3Nd6AjJZFSIvGfeuXx5gP5QaqnQzB0nBJIbcn8ALPYs7Ge',
    ],
</code></pre>
</div>

<h2>↓ 使用例 ↓</h2>

<h3>ツール一覧</h3>
<ul>
    <li>
        <h4>Hacker Typer</h4>
        <p><a href="https://hackertyper.net//">Hacker Typer</a></p>
        <p>サイトを表示して、キーボードを適当に叩くと、天才ハッカーの気分になれます。</p>
    </li>
    <li>
        <h4>Akinator</h4>
        <p><a href="http://jp.akinator.com/">Akinator</a></p>
        <p>思い出せない人の名前を教えてくれます。</p>
    </li>
    <li>
        <h4>PC・ネットワーク速度検索</h4>
        <p><a href="http://abehiroshi.la.coocan.jp/">阿部寛のホームページ</a></p>
        <p>表示に0.1秒以上かかる場合は、PCの買い替えか回線契約の見直しを検討してください。</p>
    </li>
</ul>


<h3>〇〇〇さん用アカウント一覧</h3>
<p><strong>※一人1アカウントです。他の方と共有しないでください</strong></p>
<ul>
    <li>
        <h4>ファイルストレージ</h4>
        <p><a href="https://www.dropbox.com/">Dropbox</a></p>
        <p>ID: sample<br>Pass: passsample</p>
    </li>
    <li>
        <h4>デザイン関連</h4>
        <p><a href="https://www.adobe.com/jp/">Creative Cloud</a></p>
        <p>ID: sample<br>Pass: passsample</p>
    </li>
    <li>
        <h4>チャットツール</h4>
        <p><a href="https://www.bing.com/">https://www.bing.com</a></p>
        <p>ID: sample<br>Pass: passsample</p>
    </li>
    <li>
        <h4>sensitive.pdfのパスワード</h4>
        <p>Pass: passsample</p>
    </li>
    <li>
        <h4>confidential.zipのパスワード</h4>
        <p>Pass: passsample</p>
    </li>
</ul>

<h3>連絡先一覧</h3>
<ul>
    <li>
        <h4>自分の声が返ってくる番号</h4>
        <p>090-11991563</p>
    </li>
    <li>
        <h4>ドラえもんが出る番号</h4>
        <p>0862-248899</p>
    </li>
    <li>
        <h4>宇宙のパワーを送ってくれる番号</h4>
        <p>0663-090177</p>
    </li>
</ul>

<hr>
<p>ログインID: <strong><?php echo $message; ?></strong></p>
<p><a href="../">ログイン画面に戻る</a></p>

<!-- ↑ 参考 ↑ -->

</section>
</body>
</html>
<!-- ↑ 編集エリア ↑ -->