<!DOCTYPE html>
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <meta name="viewport" content="width=device-width">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Page Access Control Tool</title>
  <link rel="stylesheet" href="css/style.css" />
  <script src="js/main.js"></script>

  <link rel="icon" href="https://cf035666.cloudfree.jp/assets/img/favicon.ico">
  <meta property="og:title" content="Page Access Control Tool | My First Challenge in JavaScript (and PHP)">
  <meta property="og:description" content="ページ閲覧制限ツール">
  <meta property="og:url" content="https://cf035666.cloudfree.jp/05-pac/">
  <meta property="og:image" content="https://cf035666.cloudfree.jp/assets/img/ogp.png">
  <meta property="og:type" content="website">
  <meta property="og:site_name" content="My First Challenge in JavaScript (and PHP)">
  <meta name="twitter:card" content="summary_large_image">
  <!--
  <meta name="robots" content="noindex">
  -->
  
  <?php include 'onsite.php'; ?>
</head>
<body>
<div class="container">
<header class="header">
    <h1 class="header__ttl"><a href="./">Page Access Control Tool</a></h1>
    <h2 class="header__subttl"><a href="./">ページ閲覧制限ツール</a></h2>
    <p class="header__link onsite"><a href="../">Home</a></p>
</header>

<main class="main">
<div class="tabs">
  <div class="tab selected" id="login-tab">ログイン</div>
  <div class="tab" id="convert-tab">新規登録（管理者用）</div>
</div>

<section class="loginform__sec">
    <div class="form-wrapper">

    <h3 class="loginform__ttl">ログイン</h3>
    <p class="loginform__txt">IDとパスワードを入力してください。<br>※半角で入力してください。</p>
    <form class="loginform__form" action="login.php" method="post">
        <div class="loginform__idwrap">
            <label class="loginform__idlabel">ID</label>
            <input class="loginform__idtxt" type="text" required="required" name="id" placeholder="ID">
        </div>
        <div class="loginform__passwrap">
            <label class="loginform__passlabel">Pass</label>
            <input class="loginform__passtxt" type="password" required="required" name="pass" placeholder="Password">
        </div>
        <div class="loginform__submitwrap">
            <input class="loginform__submit" type="submit" value="Login">
        </div>
    </form>
 </section>

<section class="converterform__sec">
    <h3 class="converterform__ttl">新規登録（管理者用）</h3>
    <p class="converterform__txt">任意のIDとパスワードを入力してください。<br>※半角英数・記号のみ。</p>
    <form class="converterform__form" action="hash_password.php" method="post">
        <div class="converterform__idwrap">
            <label class="converterform__idlabel">ID</label>
            <input class="converterform__idtxt" type="text" required="required" name="id" placeholder="ID （半角英数・記号のみ）">
        </div>
        <div class="converterform__passwrap">
            <label class="converterform__passlabel" for="password">Pass</label>
            <input class="converterform__passtxt" type="password" required="required" id="password" name="password" placeholder="Password">
        </div>
        <div class="converterform__submitwrap">
            <input class="converterform__passsubmit" type="submit" value="How to Setup">
        </div>
    </form>
</section>

<section class="about__sec">
    <h4 class="about__ttl">このツールについて</h4>
    <p class="about__p">閲覧制限の機能を利用して、特定の相手にテキストやリンク集などのデータを公開します。<br>
    ログインで入力したIDとPassの組み合わせが正しい場合、[ id名.php ] のページを表示します。</p>

    <div class="onsite">
    <h5 class="about__ttl__sub">サンプル</h5>
    <p class="about__p">画面上部のログインに、次のIDとPassを入力してLoginボタンを押してください。</p>
    <p class="about__p">サンプル1（編集方法の説明・雛形）<br>・ID: sample-01<br>・Pass: sample-01</p>
    <p class="about__p">サンプル2（編集例）<br>・ID: sample-02<br>・Pass: sample-02</p>

    <h5 class="about__ttl__sub">設置・設定方法</h5>
    <p class="about__p">※詳細な手順は<a href="index.php?tab=convert">「新規登録（管理者用）」</a>の遷移先をご確認ください。</p>
    <ol class="about__list">
    <li><a href="../dl/05-pac.zip">コード一式をダウンロード</a>して解凍し、サーバーへアップロードします。</li>
    <li>アカウントリストのファイルに、idとPassの組み合わせを登録します。<br>
    Passは<a href="index.php?tab=convert">「新規登録（管理者用）」</a>で変換した内容を登録します。</li>
    <li>[id名.php]にコンテンツを記述してアップロードし、ログイン情報を相手に伝えます。</li>
    </ol>
 
    <h5 class="about__ttl__sub">制作経緯</h5>
    <p class="about__p">
    ログイン情報や名簿・個人の連絡先など、情報の配布に気をつかうケースを想定して制作しました。
    </p>
    <p class="about__p">
    例えば、パスワード付のファイルをメールで送る場合、
    一度送付したファイルは、公開期間が過ぎたり万が一送信先を間違えた際に、送信者側から取り消すことができません。
    そうしたリスクを緩和するサービスがいくつかありますが、諸事情で利用が推奨されない場合があるようです。<br>
    このツールは、メール利用や外部サービスの利用を回避しつつ、
    対象者ごとに異なるコンテンツを公開し、随時更新・削除することができます。
    また、IP制限や基本認証などを併用する柔軟な運用が行いやすいという利点があります。
    </p>
    <P class="about__p">
    設置には、HTMLによるコンテンツ作成と、サーバーへのアップロードが必要ですが、いずれも高度な知識は不要です。
    多くの格安・無料レンタルサーバーで動作します。
    </p>
 
    <h5 class="about__ttl__sub">注意</h5>
    <p class="about__p">
    攻撃への最低限の対策は行っていますが、情報の安全性を保障するものではありません。<br>
    このツールのみで、phpファイル以外の画像やOfficeファイル、PDFなどを閲覧制限することはできません。<br>
    上記を理解の上、データ管理者の責任の範囲内でご利用ください。
    </p>

    </div>
</section>
</main>

<footer class="footer">
    <h2 class="footer__ttl"><a href="./">Page Access Control Tool</a></h2>
    <p class="footer__link onsite"><a href="../">Home</a></p>
</footer>
</div>
  <!-- Google tag (gtag.js) -->
  <script async src="https://www.googletagmanager.com/gtag/js?id=G-1YPNE8S4M5"></script>
  <script>
    window.dataLayer = window.dataLayer || [];
    function gtag() { dataLayer.push(arguments); }
    gtag('js', new Date());

    gtag('config', 'G-1YPNE8S4M5');
  </script>
</body>
</html>