/*
  作成者: ihara789
  作成日: 2023/02/01
  更新日: 2023/02/12
*/

/* ------------- */

// 入力値チェック関数 半角英数と記号のみを許可
function checkInputValue(input) {
  var regex = /^[a-zA-Z0-9!-/:-@¥[-`{-~]*$/;
  if (!regex.test(input.value)) {
    alert('半角英数と記号、数字のみを入力してください。');
    input.value = '';
  }
}

// URLからパラメーターを取得する関数
function getParameterByName(name, url) {
  if (!url) url = window.location.href;
  name = name.replace(/[\[\]]/g, '\\$&');
  var regex = new RegExp('[?&]' + name + '(=([^&#]*)|&|#|$)'),
    results = regex.exec(url);
  if (!results) return null;
  if (!results[2]) return '';
  return decodeURIComponent(results[2].replace(/\+/g, ' '));
}

window.onload = function () {
  var loginIdInput = document.querySelector('.loginform__idtxt');
  var loginPassInput = document.querySelector('.loginform__passtxt');
  var converterIdInput = document.querySelector('.converterform__idtxt');
  var converterPassInput = document.querySelector('.converterform__passtxt');

  // 入力欄チェック
  var inputClasses = ['.loginform__idtxt', '.loginform__passtxt',
    '.converterform__idtxt', '.converterform__passtxt'];

  inputClasses.forEach(function (inputClass) {
    var input = document.querySelector(inputClass);
    input.addEventListener('change', function () {
      checkInputValue(this);
    });
  });

  // タブのクリックイベントを処理
  document.getElementById('login-tab').addEventListener('click', function () {
    document.querySelector('.loginform__sec').style.display = 'block';
    document.querySelector('.converterform__sec').style.display = 'none';
    document.getElementById('login-tab').classList.add('selected');
    document.getElementById('convert-tab').classList.remove('selected');
  });

  document.getElementById('convert-tab').addEventListener('click', function () {
    document.querySelector('.loginform__sec').style.display = 'none';
    document.querySelector('.converterform__sec').style.display = 'block';
    document.getElementById('login-tab').classList.remove('selected');
    document.getElementById('convert-tab').classList.add('selected');
  });

  // URLパラメーターに基づいて表示するタブを切り替え
  var tab = getParameterByName('tab'); // 'login'または'convert'を期待
  if (tab === 'login') {
    document.getElementById('login-tab').click();
  } else if (tab === 'convert') {
    document.getElementById('convert-tab').click();
  }
};